# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: unzip
# END SourceDeps(oneline)
%define oldname python-robofab
%define fedora 19
%global svnrev 226
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           python-module-robofab
Version:        1.2.0
Release:        alt1_6.svn%{svnrev}
Summary:        Reads and writes UFO font files 

Group:          Development/Python
License:        BSD 
URL:            http://www.robofab.org/
Source0:        http://www.robofab.org/download/current/RoboFab226M_Only.zip

BuildArch:      noarch
BuildRequires:  python-devel python-module-fonttools
Source44: import.info
# Mac OS
%filter_from_requires /^python2...Carbon./d
%filter_from_requires /^python2...EasyDialogs./d
%filter_from_requires /^python2...FL./d
%filter_from_requires /^python2...Nav./d

%description
RoboFab is a Python library with objects that deal with data usually associated
with fonts and type design. RoboFab reads and writes UFO font files. 

%prep
%setup -q -n RoboFab

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%check
PYTHONPATH=`pwd`/Lib python Lib/robofab/test/runAll.py
 
%files
%doc LICENSE.txt
%{python_sitelibdir_noarch}/*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt1_6.svn226
- update to new release by fcimport

* Thu Jan 03 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt1_5.svn226
- initial fc import

